Skip to main content

Interface: UpdatePlatformConfigOptions

Gala Launchpad SDK 9.0.0-rc.5


Gala Launchpad SDK 9.0.0-rc.5 / index / UpdatePlatformConfigOptions

Interface: UpdatePlatformConfigOptions

Defined in: packages/launchpad-sdk/dist/types/platform-config.dto.d.ts:37

Options for updating platform configuration via PUT /v1/config

Partial update - only provide fields to change.

Since​

7.3.0

Properties​

aiModerationEnabled?​

optional aiModerationEnabled?: boolean

Defined in: packages/launchpad-sdk/dist/types/platform-config.dto.d.ts:47

Enable/disable AI moderation globally


chatEnabled?​

optional chatEnabled?: boolean

Defined in: packages/launchpad-sdk/dist/types/platform-config.dto.d.ts:41

Enable/disable chat globally


commentsEnabled?​

optional commentsEnabled?: boolean

Defined in: packages/launchpad-sdk/dist/types/platform-config.dto.d.ts:43

Enable/disable comments globally


streamingEnabled?​

optional streamingEnabled?: boolean

Defined in: packages/launchpad-sdk/dist/types/platform-config.dto.d.ts:39

Enable/disable streaming globally


webhooksEnabled?​

optional webhooksEnabled?: boolean

Defined in: packages/launchpad-sdk/dist/types/platform-config.dto.d.ts:45

Enable/disable webhooks globally